%define luaver 5.1
%define luapkgdir %{_datadir}/lua/%{luaver}

Name:           lua-json
Version:        1.0
Release:        2%{?dist}
Summary:        JSON Parser/Constructor for Lua

Group:          Development/Libraries
License:        MIT
URL:            http://luaforge.net/projects/luajson/
Source0:        http://luaforge.net/frs/download.php/4105/luajson-%{version}.tar.bz2
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  lua >= %{luaver}, lua-lpeg >= 0.8.1
# for checks
BuildRequires:  lua-filesystem >= 1.4.1, lua-lunit >= 0.4
Requires:       lua >= %{luaver}, lua-lpeg >= 0.8.1

BuildArch:      noarch

%description
LuaJSON is a customizable JSON decoder/encoder, using LPEG for parsing.


%prep
%setup -q -n luajson-%{version}


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{luapkgdir}
cp -pr lua/* $RPM_BUILD_ROOT%{luapkgdir}


%check
make check-regression
make check-unit | tee testlog.txt
grep -q "0 failed, 0 errors" testlog.txt


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE docs/LuaJSON.txt docs/ReleaseNotes-1.0.txt
%{luapkgdir}/*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 10 2009 Michel Salim <salimma@fedoraproject.org> - 1.0-1
- Initial package
